=begin JA

= ޥ徺¸

# *  ã (yamasita),  ̰ϯ (sugiyama),   (odakker)
#   * $Id: mars-plumetest.rd,v 1.2 2011-03-01 04:35:19 yamasita Exp $

=end JA
=begin EN

= A Numerical experiment of ascending hot plume

# * Tatsuya YAMASHITA (yamasita), Ko-ichiro SUGIYAMA (sugiyama), Masatsugu ODAKA (odakker)
#   * $Id: mars-plumetest.rd,v 1.2 2011-03-01 04:35:19 yamasita Exp $

=end EN


=begin JA

Ǥ, ¾(2006)ǹԤʤ줿, 
ñȤΥۥåȥץ塼徺¸¹Ԥˡޤ. 

η׻ˤϰʲʪѤƤޤ. 

  * ήȻ
    * 1.5 Υ㡼ǥ (Klemp and Wilhelmson, 1978)
  * ŷ롦ȯ
    * ȻĹ (e.g., Tobie et al., 2003)

=end JA
=begin EN

A method to perform an test experiment
of an ascending hot plume is described. 

Following physical processes are used in this experiment.

  * Turbulent mixing
    * 1.5 order closure (Klemp and Wilhelmson, 1978)
  * Condensation and evaporation
    * Diffusional growth (e.g., Tobie et al., 2003)

=end EN


=begin JA
== 

ܼ¸ϥǥեȤǹԤʤȤޤ. 
ǥեǤη׻򤹤ϤΡֳספΤߤɤнʬǤ. 
ǥեȤȤϰۤʤǷ׻򤹤, ־ܺ١פ. 


ʬŷήѤΥΥѥ뤬λ, 
׻¹Ԥ뤳ȤǤޤ. 
ѥˤ make ǤϤʤ, make mmc ǤĤȤդƲ. 
㤨Хȥǥ쥯ȥ꤬ĥ꡼ǥ쥯ȥǤ, 
ʲΥޥɤǤĤȷ׻¹Ԥޤ. 
׻ˤ 10 ʬ٤Ȼפޤ. 


  $ ./bin/arare -N=arare-mmc.conf


׻λ, gpview ʤɤԤʤޤ. 
㤨 gpview 褹, ʲΤ褦˥ޥɤǤޤ. 

  $ gpview --wsn 4 --range -4.0:4.0 MarsCond_PotTemp.nc@PotTempDist,t=1000

MarsCond_VelZ.nc ѿ VelZ  
MarsCond_DensCloud.nc ѿ DensCloud 
MarsCond_PotTemp.nc ѿ PotTempDist 
˴ؤԤʤȰʲΤ褦ʿޤޤ. 

((<"IMG:mars-moistconv-denscloud.png">))
((<"IMG:mars-moistconv-velz.png">))
((<"IMG:mars-moistconv-pottemp.png">))  

=end JA
=begin EN
== Overview

If you perform a calculation under default configuration, 
you have only to see this section "Overview". 
If not so, see the section "Details". 


If you finished compling the source for moist convection with major component 
condensation, you can execute the experiment. 
Note that command "make mmc" when compiling.
In order to execute the experiment, command as follows. 
It will take ten minutes or so. 

  $ ./bin/arare -N=arare-mmc.conf


׻λ, gpview ʤɤԤʤޤ. 
After finishing the calculation, next step is visualization. 
For example, if you use gpview, enter a command as follows.

  $ gpview --wsn 4 --range -4.0:4.0 MarsCond_PotTemp.nc@PotTempDist,t=1000

After drawing, you can get figures as follows. 


((<"IMG:mars-moistconv-denscloud.png">))
((<"IMG:mars-moistconv-velz.png">))
((<"IMG:mars-moistconv-pottemp.png">))  


=end EN

=begin JA

== ܺ

ǥեȤȤϰۤʤǼ¸¹Ԥ, 
ʲ 4 ĤΥƥåפǷ׻Ԥޤ.

  * Ѥץ򡦥ԡ
  * ѥ᡼ѹ
  * Υѥ
  * ׻μ¹

=== Ѥץ򡦥ԡ

ޥ徺¸Ԥʤ٤ˤ, 
˼褦 src-mmc ʲˤץưǥԡƲ. 

  $ cp main/arare_091012_masstest6-8_advlong-filter.f90 main/arare.f90
  $ cp io/historyfileio_mmconv2_masstest7.f90 io/historyfileio.f90
  $ cp physocs/densitycloud_turb-masstest2.f90 physics/densitycloud.f90
  $ cp physics/latentheat_all.f90 physics/latentheat.f90
  $ cp physics/masscondense_threshold-masstest4.f90 physics/masscondense.f90
  $ cp physics/adiation_balance4.f90 physics/radiation.f90
  $ cp setup/storepottemp_mmconv2.f90 setup/storepottemp.f90
  $ cp setup/storedenscloud_2d-5.f90 setup/storedenscloud.f90
  $ cp moist/moistbuoyancy_org.f90 moist/moistbuoyancy.f90 
  $ cp env/basicenv_smooth.f90 env/basicenv.f90
  $ cp numdiffusion_smooth_alpha1e-4.f90 util/numdiffusion.f90


=== ѥ᡼ѹ

ĥ꡼ǥ쥯ȥβʬŷήѤ namelist ե 
arare-mmc.conf Խޤ. 

namelist եγƹܤξܺ٤ˤĤƤ
((<|URL:../../doc/tutorial/namelist.htm>)) . 

Խܤ¿¸ߤޤ, 
ʲǤ(ԽƤ꤬ʤȴԤ)
ΤĤԥååפޤ. 

* ʬ

  TimeInt      = 1800.0d0

ǥեȤǤ 1800 sec ȤʤäƤޤ, 
׻ǽ䵤ʬ˹碌ĹûꤷƤߤƲ. 

* ǡϻֳִ

  TimeDisp     = 100.0d0

ǥեȤǤ 100 sec ȤʤäƤޤ, 
׻ǽ䵤ʬ˹碌ĹûꤷƤߤƲ. 

* ޥο

  DelMax       = 4.0d0

ͤ򾮤᤮, ˥ޥ뤬Ĥ֤Ƥޤޤ. 
ޤͤ礭᤮, ʪŪ˰̣Τʤʤޤ. 
ܾθ, 10 K Ķʤ褦ˤΤɤǤ礦. 
ޤ DelMax ͤˤ䤿ߤ¸ԤʤȤǤޤ. 

* ˤ륵ޥ濴(ľ)ΰФ

  ZcRate       = 0.0d0

0 (ü) 1 (ü)δ֤ǻꤷޤ. 
ǥեȤǤϥǥ벼ü˥ޥ֤Ƥޤ. 
㤨Ф礦濴֤, 0.5d0 Ȥޤ. 

* ׳˰

  SatRatioCr = 1.0d0

ŷ뤬ϤޤޤǤˤɤۤɲѤˤʤʤФʤʤ򼨤ѥ᡼Ǥ. 
ʪŪ˰̣׻Ԥʤ٤ˤ 1 ʾꤹɬפޤ. 
ʤߤ˲絤Ǥ 1.0 -- 1.35 δ֤ͤȤȸƤޤ. 


=== Υѥ

ĥ꡼ǥ쥯ȥ, make mmc ޥɤ¹ԤƤ. 
˥ѥ¹ԤƤˤ, 
make mmc Ԥʤ make clean ¹ԤƲ. 

  $ make clean
  $ make mmc


=== ׻μ¹

Ǹ˷׻¹Ԥޤ. 
ꥹȥǡ, ɽ̥ꥹȥǡȤĤΥҥȥǡ
ե뤬Ϥޤ. 

  $ ./bin/arare -N=arare-mmc.conf

׻λ, ʲΤ褦ʥǡϤޤ. 


  MarsCond_restart2.nc     ꥹȥե
  MarsCond_BasicZ.nc       ܾѿ
  MarsCond_DensCloud.nc    ̩
  MarsCond_Exner.nc        ̵ϴؿ
  MarsCond_H2O-g.nc        (ܷ׻ǤϥϤ)
  MarsCond_H2O-s-Cloud.nc  庮(ܷ׻ǤϥϤ)
  MarsCond_H2O-s-Rain.nc   庮(ܷ׻ǤϥϤ)
  MarsCond_Kh.nc           ήȻ(ư)
  MarsCond_Km.nc           ήȻ(顼)
  MarsCond_PotTemp.nc      
  MarsCond_SatRatio.nc     ˰
  MarsCond_VelX.nc         ®(X ʬ)
  MarsCond_VelZ.nc         ®(Z ʬ)
  MarsCond_Zprof.nc        


줿 netcdf ե˴ؤ, Ԥʤ, 
ֳספǼ褦ʿޤޤ. 


=== ꥹȥǡμ¹

椫³Ʒ׻Ԥʤˤ, arare-mmc.conf Խޤ. 

㤨 MarsCond_restart2.nc ˥ꥹȷ׻Ԥʤ, 
ʲΤ褦˵Ҥޤ. 

  ()  InitFile    = ""   !ͥե
  ()  InitFile    = "MarsCond_restart2.nc"

ꥹȷ׻˽Ϥꥹȥե̾Խˤ, 
ʲιܤԽޤ. 
ä, ꥹȤ򳫻Ϥեȥꥹȷ׻˽Ϥե
̾ƱǤ, 񤭤ƥꥹȤ򳫻Ϥե뤬̵
äƤޤΤդƲ. 

  ReStartFile = "MarsCond_restart3.nc"

arare-mmc.conf Խä, ʲΥޥɤǼ¹ԤԤäƤ.
ʤ, Ϥǡե̾ϥǥեȤǤϷޤäƤΤ, 
׻ǡϥ͡ह뤫, ̤Υǥ쥯ȥ˰ܤƤȤ
ᤷޤ. 

  $ ./bin/arare -N=arare-mmc.conf


=end JA

=begin EN

== Details

If you perform a calculation under non-default configuration, 
the experiment is performed with the following 4 steps:

  * Choosing and copying the programs
  * Changing the configuration
  * Compling
  * Execution of experiments

=== Choosing and copying the programs

For a Numerical experiment of ascending hot plume, 
you have to copy following programs in src-mmc directory.

  $ cp main/arare_091012_masstest6-8_advlong-filter.f90 main/arare.f90
  $ cp io/historyfileio_mmconv2_masstest7.f90 io/historyfileio.f90
  $ cp physocs/densitycloud_turb-masstest2.f90 physics/densitycloud.f90
  $ cp physics/latentheat_all.f90 physics/latentheat.f90
  $ cp physics/masscondense_threshold-masstest4.f90 physics/masscondense.f90
  $ cp physics/adiation_balance4.f90 physics/radiation.f90
  $ cp setup/storepottemp_mmconv2.f90 setup/storepottemp.f90
  $ cp setup/storedenscloud_2d-5.f90 setup/storedenscloud.f90
  $ cp moist/moistbuoyancy_org.f90 moist/moistbuoyancy.f90 
  $ cp env/basicenv_smooth.f90 env/basicenv.f90
  $ cp numdiffusion_smooth_alpha1e-4.f90 util/numdiffusion.f90


=== Changing the configuration

You may edit a namelist file for moist convection with major component 
condensation, "arare-mmc.conf". 

For details of namelist files, see
((<this page|URL:../../doc/tutorial/namelist.htm>)).

For example, you can edit the following entries easily. 

* Integration time

  TimeInt      = 1800.0d0

* Output time interval

  TimeDisp     = 100.0d0

* Amplitude of potential temperature of a plume

  DelMax       = 4.0d0

* Ratio of the altitude of a plume to vertical domain size

  ZcRate       = 0.0d0

* Critical saturation ratio

  SatRatioCr = 1.0d0


=== Compling

Before "make mmc", you should command "make clean".

  $ make clean
  $ make mmc



=== Execution of experiments

In order to execute the experiment, command as follows. 

  $ ./bin/arare -N=arare-mmc.conf

If you have finished calculation, you can obtain following data files. 

  MarsCond_restart2.nc     Restart file
  MarsCond_BasicZ.nc       Basic states
  MarsCond_DensCloud.nc    Cloud of density
  MarsCond_Exner.nc        The Exner function
  MarsCond_H2O-g.nc        Mixing ration for H2O vapor
  MarsCond_H2O-s-Cloud.nc  Mixing ration for H2O cloud
  MarsCond_H2O-s-Rain.nc   Mixing ration for H2O rain
  MarsCond_Kh.nc           Turbulent diffusion coefficient(momentum)
  MarsCond_Km.nc           Turbulent diffusion coefficient(scalar)
  MarsCond_PotTemp.nc      Potential Temperature
  MarsCond_SatRatio.nc     Saturation ratio
  MarsCond_VelX.nc         Horizontal velocity
  MarsCond_VelZ.nc         Vertical velocity
  MarsCond_Zprof.nc        Diagnosis

You can get figures shown above by vizualisation for data files. 

=end EN


=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin

* M. Odaka, T. Kitamori, K. Sugiyama, K. Nakajima and Y.-Y. Hayashi, 2006:
  Numerical simulation of Martian atmospheric convection, 
  Proc. of the 20th ISAS Atmospheric Science Symposium, JAXA/ISAS, 
  103 -- 106

* Klemp, J. B., Wilhelmson, R. B., 1978: 
  The simulation of three-dimensional convective storm dynamics", 
  J. Atmos. Sci., 35, pp. 1070 -- 1096.

* Tobie, G., Forget, F., Lott, F., 2003: 
  Numerical simulation of winter polar wave clouds observed by
  Mars Global Surveyor Mars Orbiter Laser Altimeter", 
  Icarus, 35, 33 -- 49.

=end

=begin HTML
<hr />
<small>
  $Id: mars-plumetest.rd,v 1.2 2011-03-01 04:35:19 yamasita Exp $
</small>
=end HTML

